Index: /trunk/SRC/Grid/checkperio.pro
===================================================================
--- /trunk/SRC/Grid/checkperio.pro	(revision 225)
+++ /trunk/SRC/Grid/checkperio.pro	(revision 226)
@@ -8,8 +8,8 @@
 ; @param file {in}{required}{type=scalar string}
 ; A string giving the name of the NetCdf file
-; 
+;
 ; @keyword WRITE {default=0}{type=scalar: 0 or 1}
 ; Define to 1 to write the good periodicity in the file.
-; By default print only mesage of periodicity errors
+; By default print only message of periodicity errors
 ;
 ; @restrictions
@@ -38,5 +38,5 @@
 ; @history
 ; October 2006: Sebastien Masson (smasson\@locean-ipsl.upmc.fr)
-;    
+;
 ; @version
 ; $Id$
@@ -44,5 +44,5 @@
 PRO checkperio, file, WRITE = write
 
-  IF file_test(file) EQ 0 THEN BEGIN 
+  IF file_test(file) EQ 0 THEN BEGIN
     print, 'file '+file+' not found'
     RETURN
@@ -53,10 +53,10 @@
 ;
   dimsz = lonarr(finq.ndims)
-  FOR did = 0, finq.ndims-1 DO BEGIN 
+  FOR did = 0, finq.ndims-1 DO BEGIN
     ncdf_diminq, cdfid, did, name, size
     dimsz[did] = size
   ENDFOR
 ;
-  FOR vid = 0, finq.nvars-1 DO BEGIN 
+  FOR vid = 0, finq.nvars-1 DO BEGIN
     vinq =  ncdf_varinq(cdfid, vid)
     IF vinq.ndims GE 2 THEN BEGIN
@@ -68,5 +68,5 @@
 ; 2D VAR
 ;------------------------------
-        2:BEGIN 
+        2:BEGIN
 ; y periodicity (1)
           CASE 1 OF
@@ -75,5 +75,5 @@
               ncdf_varget, cdfid, vid, part2, count = [jpi-2, 1], offset = [1, jpj-3]
               part2 = reverse(shift(part2, -1))
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (1)'
                 IF keyword_set(write) THEN $
@@ -85,5 +85,5 @@
               ncdf_varget, cdfid, vid, part2, count = [jpi-2, 1], offset = [1, jpj-2]
               part2 = reverse(part2)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (1)'
                 IF keyword_set(write) THEN $
@@ -99,5 +99,5 @@
               ncdf_varget, cdfid, vid, part2, count = [(jpi-1)/2-2+1, 1], offset = [          2, jpj-2]
               part2 = reverse(part2)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (2)'
                 IF keyword_set(write) THEN $
@@ -112,5 +112,5 @@
           ncdf_varget, cdfid, vid, part1, count = [1, jpj], offset = [0, 0]
           ncdf_varget, cdfid, vid, part2, count = [1, jpj], offset = [jpi-2, 0]
-          IF array_equal(part1, part2) NE 1 THEN BEGIN 
+          IF array_equal(part1, part2) NE 1 THEN BEGIN
             print, vinq.name+' bad x periodicity (1)'
             IF keyword_set(write) THEN $
@@ -120,5 +120,5 @@
           ncdf_varget, cdfid, vid, part1, count = [1, jpj], offset = [jpi-1, 0]
           ncdf_varget, cdfid, vid, part2, count = [1, jpj], offset = [1, 0]
-          IF array_equal(part1, part2) NE 1 THEN BEGIN 
+          IF array_equal(part1, part2) NE 1 THEN BEGIN
             print, vinq.name+' bad x periodicity (2)'
             IF keyword_set(write) THEN $
@@ -129,5 +129,5 @@
 ; 3D VAR
 ;------------------------------
-        3:BEGIN 
+        3:BEGIN
           jpk = vdimsz[2]
 ; y periodicity (1)
@@ -138,5 +138,5 @@
               IF jpk EQ 1 THEN part2 = reform(part2, jpi-2, 1, jpk, /over)
               part2 = reverse(shift(part2, -1, 0, 0), 1)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (1)'
                 IF keyword_set(write) THEN $
@@ -149,5 +149,5 @@
               IF jpk EQ 1 THEN part2 = reform(part2, jpi-2, 1, jpk, /over)
               part2 = reverse(part2, 1)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (1)'
                 IF keyword_set(write) THEN $
@@ -163,5 +163,5 @@
               ncdf_varget, cdfid, vid, part2, count = [(jpi-1)/2-2+1, 1, jpk], offset = [          2, jpj-2, 0]
               part2 = reverse(part2, 1)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (2)'
                 IF keyword_set(write) THEN $
@@ -176,5 +176,5 @@
           ncdf_varget, cdfid, vid, part1, count = [1, jpj, jpk], offset = [0, 0, 0]
           ncdf_varget, cdfid, vid, part2, count = [1, jpj, jpk], offset = [jpi-2, 0, 0]
-          IF array_equal(part1, part2) NE 1 THEN BEGIN 
+          IF array_equal(part1, part2) NE 1 THEN BEGIN
             print, vinq.name+' bad x periodicity (1)'
             IF keyword_set(write) THEN $
@@ -184,5 +184,5 @@
           ncdf_varget, cdfid, vid, part1, count = [1, jpj, jpk], offset = [jpi-1, 0, 0]
           ncdf_varget, cdfid, vid, part2, count = [1, jpj, jpk], offset = [1, 0, 0]
-          IF array_equal(part1, part2) NE 1 THEN BEGIN 
+          IF array_equal(part1, part2) NE 1 THEN BEGIN
             print, vinq.name+' bad x periodicity (2)'
             IF keyword_set(write) THEN $
@@ -193,5 +193,5 @@
 ; 4D VAR
 ;------------------------------
-        4:BEGIN 
+        4:BEGIN
           jpk = vdimsz[2]
           jpt = vdimsz[3]
@@ -203,5 +203,5 @@
               IF jpt EQ 1 THEN part2 = reform(part2, jpi-2, 1, jpk, jpt, /over)
               part2 = reverse(shift(part2, -1, 0, 0, 0), 1)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (1)'
                 IF keyword_set(write) THEN $
@@ -214,5 +214,5 @@
               IF jpt EQ 1 THEN part2 = reform(part2, jpi-2, 1, jpk, jpt, /over)
               part2 = reverse(part2, 1)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (1)'
                 IF keyword_set(write) THEN $
@@ -228,5 +228,5 @@
               ncdf_varget, cdfid, vid, part2, count = [(jpi-1)/2-2+1, 1, jpk, jpt], offset = [          2, jpj-2, 0, 0]
               part2 = reverse(part2, 1)
-              IF array_equal(part1, part2) NE 1 THEN BEGIN 
+              IF array_equal(part1, part2) NE 1 THEN BEGIN
                 print, vinq.name+' bad y periodicity (2)'
                 IF keyword_set(write) THEN $
@@ -241,5 +241,5 @@
           ncdf_varget, cdfid, vid, part1, count = [1, jpj, jpk, jpt], offset = [0, 0, 0, 0]
           ncdf_varget, cdfid, vid, part2, count = [1, jpj, jpk, jpt], offset = [jpi-2, 0, 0, 0]
-          IF array_equal(part1, part2) NE 1 THEN BEGIN 
+          IF array_equal(part1, part2) NE 1 THEN BEGIN
             print, vinq.name+' bad x periodicity (1)'
             IF keyword_set(write) THEN $
@@ -249,5 +249,5 @@
           ncdf_varget, cdfid, vid, part1, count = [1, jpj, jpk, jpt], offset = [jpi-1, 0, 0, 0]
           ncdf_varget, cdfid, vid, part2, count = [1, jpj, jpk, jpt], offset = [1, 0, 0, 0]
-          IF array_equal(part1, part2) NE 1 THEN BEGIN 
+          IF array_equal(part1, part2) NE 1 THEN BEGIN
             print, vinq.name+' bad x periodicity (2)'
             IF keyword_set(write) THEN $
@@ -257,5 +257,5 @@
         ELSE:print, vinq.name+' nothing to check'
       ENDCASE
-    ENDIF    
+    ENDIF
   ENDFOR
 
Index: /trunk/SRC/Grid/computegrid.pro
===================================================================
--- /trunk/SRC/Grid/computegrid.pro	(revision 225)
+++ /trunk/SRC/Grid/computegrid.pro	(revision 226)
@@ -4,5 +4,5 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ;
 ; compute the grid parameters (cm_4mesh) common
@@ -50,5 +50,5 @@
 ; ccmeshparameters, ccreadparameters
 ;
-; @categories 
+; @categories
 ; Grid
 ;
@@ -72,5 +72,5 @@
 ;       optional if [XY]AXIS keyword is used or stepxin is a vector
 ;
-; @param nyin {in}{optional}{type=scalar} 
+; @param nyin {in}{optional}{type=scalar}
 ;       number of points in y direction,
 ;       optional if [XY]AXIS keyword is used or stepyin is a vector
@@ -111,5 +111,5 @@
 ;
 ; @keyword SHIFT {default=computed according to glamboundary}{type=scalar}
-;       Force the manual definition of the zonal shift that must be apply to the data. 
+;       Force the manual definition of the zonal shift that must be apply to the data.
 ;       The resulting value will be stored in the common (cm_4mesh) variable key_shift
 ;       Note that if key_periodic=0 then in any case key_shift = 0.
@@ -169,5 +169,5 @@
 ;       Activate when the model is a C grid based on a F point
 ;       (with a F point at the bottom-left corner and a T point at the
-;       upper-right corner). In this case, we ignore 
+;       upper-right corner). In this case, we ignore
 ;         - the first line of F and V points
 ;         - the last  line of T and U points
@@ -181,5 +181,5 @@
 ;       Activate when the model is a C grid based on a U point
 ;       (with a U point at the bottom-left corner and a T point at the
-;       upper-right corner). In this case, we ignore 
+;       upper-right corner). In this case, we ignore
 ;         - if the grid is not x-periodic, the first column of F and U points
 ;         - if the grid is not x-periodic, the last  column of T and V points.
@@ -191,5 +191,5 @@
 ;       Activate when the model is a C grid based on a V point
 ;       (with a V point at the bottom-left corner and a T point at the
-;       upper-right corner). In this case, we ignore 
+;       upper-right corner). In this case, we ignore
 ;         - the first line of F and V points
 ;         - the last  line of T and U points
@@ -203,5 +203,5 @@
 ;       Used when the model is a ROMS C-grid with one more point
 ;       in longitude for T and V grid and one more point in latitude
-;       for T and U grid. In this case, we ignore 
+;       for T and U grid. In this case, we ignore
 ;         - the last line of T and U points
 ;         - the last column of T and V points.
@@ -215,10 +215,10 @@
 ;       Specify the vertical axis. Must be sorted in the increasing or deceasing order
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ;    (not used in the present case...)
 ;
 ; @uses cm_4mesh cm_4data cm_4cal
 ;
-; @restrictions if the grid has x/y periodicity orverlap and/or if
+; @restrictions if the grid has x/y periodicity overlap and/or if
 ;    the mask has 0 everywhere at the border (like a close sea) and
 ;    if (we did not activate /plain and xminmesh, xmaxmesh, yminmesh,
@@ -230,10 +230,12 @@
 ; @restrictions FUV points definition is not exact if the grid is irregular
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      2000-04-20
-;  Sept 2004, several bug fixs to suit C grid type...
+;  Sept 2004, several bug fix to suit C grid type...
 ;  Aug 2005, rewritte almost everything...
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -996,5 +998,5 @@
       gdepw = gdept
     ENDELSE
-    IF keyword_set(romsh) THEN gdepw = gdept 
+    IF keyword_set(romsh) THEN gdepw = gdept
 ;
 ;====================================================
@@ -1020,5 +1022,5 @@
       tmask = tmask[*]#replicate(1, jpkglo)
       tmask = reform(tmask, jpiglo, jpjglo, jpkglo, /overwrite)
-    ENDIF  
+    ENDIF
     IF jpiglo EQ 1 OR jpjglo EQ 1 THEN tmask = reform(tmask, jpiglo, jpjglo, jpkglo, /overwrite)
     tmask = byte(tmask[ixminmesh:ixmaxmesh, iyminmesh:iymaxmesh, izminmesh:izmaxmesh])
Index: /trunk/SRC/Grid/ncdf_meshread.pro
===================================================================
--- /trunk/SRC/Grid/ncdf_meshread.pro	(revision 225)
+++ /trunk/SRC/Grid/ncdf_meshread.pro	(revision 226)
@@ -6,5 +6,5 @@
 ; @file_comments read NetCDF meshmask file created by OPA
 ;
-; @categories 
+; @categories
 ; Grid
 ;
@@ -46,5 +46,5 @@
 ;
 ; @keyword SHIFT {default=computed according to glamboundary}{type=scalar}
-;    Force the manual definition of the zonal shift that must be apply to the data. 
+;    Force the manual definition of the zonal shift that must be apply to the data.
 ;    The resulting value will be stored in the common (cm_4mesh) variable key_shift
 ;    Note that if key_periodic=0 then in any case key_shift = 0.
@@ -67,5 +67,6 @@
 ;  are equal to -1 they will be automatically defined
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      12/1999
 ; July 2004, Sebastien Masson: Several modifications (micromeshmask,
@@ -75,5 +76,6 @@
 ; Aug. 2005, Sebastien Masson: some cleaning + english
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -218,5 +220,5 @@
 ;
       IF array_equal(sort(xaxis), lindgen(jpi)) NE 1 THEN BEGIN
-        print, 'the x axis (1st line of glamt) is not sorted in the inceasing order after the automatic definition of key_shift'
+        print, 'the x axis (1st line of glamt) is not sorted in the increasing order after the automatic definition of key_shift'
         print, 'please use the keyword shift (and periodic) to suppress the automatic definition of key_shift (and key_periodic) and define by hand a more suitable value...'
         widget_control, noticebase, bad_id = nothing, /destroy
@@ -405,5 +407,5 @@
     tmask = byte(res)
   ENDELSE
-; boudary conditions used to compute umask.
+; boundary conditions used to compute umask.
   varcontient = ncdf_varinq(cdfid, 'umask')
   name = varcontient.name
@@ -420,5 +422,5 @@
     umaskred = reform(byte(res), /over)
   ENDELSE
-; boudary conditions used to compute fmask (1).
+; boundary conditions used to compute fmask (1).
   varcontient = ncdf_varinq(cdfid, 'fmask')
   name = varcontient.name
@@ -433,5 +435,5 @@
     fmaskredy = temporary(fmaskredy) MOD 2
   ENDELSE
-; boudary conditions used to compute vmask
+; boundary conditions used to compute vmask
   varcontient = ncdf_varinq(cdfid, 'vmask')
   name = varcontient.name
@@ -459,5 +461,5 @@
     vmaskred = reform(byte(res), /over)
   ENDELSE
-; boudary conditions used to compute fmask (2).
+; boundary conditions used to compute fmask (2).
   varcontient = ncdf_varinq(cdfid, 'fmask')
   name = varcontient.name
@@ -509,5 +511,5 @@
   ncdf_close,  cdfid
 ;-------------------------------------------------------
-; Apply Glamboudary
+; Apply Glamboundary
 ;-------------------------------------------------------
   if keyword_set(glamboundary) AND key_onearth then BEGIN
Index: /trunk/SRC/Grid/ncdf_meshroms.pro
===================================================================
--- /trunk/SRC/Grid/ncdf_meshroms.pro	(revision 225)
+++ /trunk/SRC/Grid/ncdf_meshroms.pro	(revision 226)
@@ -6,5 +6,5 @@
 ; @file_comments read NetCDF grid file created by ROMS
 ;
-; @categories 
+; @categories
 ; Grid
 ;
@@ -44,8 +44,8 @@
 ; @keyword NRHO {default=1}{type=scalar}
 ;    Specify the number of rho level that contain the data we want to explore.
-;    This is mainly useful when using xxx to get access to the depper levers and vertical sections.
+;    This is mainly useful when using xxx to get access to the deeper levers and vertical sections.
 ;
 ; @keyword SHIFT {default=computed according to glamboundary}{type=scalar}
-;    Force the manual definition of the zonal shift that must be apply to the data. 
+;    Force the manual definition of the zonal shift that must be apply to the data.
 ;    The resulting value will be stored in the common (cm_4mesh) variable key_shift
 ;    Note that if key_periodic=0 then in any case key_shift = 0.
@@ -77,9 +77,11 @@
 ;
 ;  Scale factors are compuited using the distance between the points
-;  (which is not the exact definition for irregulare grid).
-;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr) September 2006
-;
-; @version $Id$
+;  (which is not the exact definition for irregular grid).
+;
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr) September 2006
+;
+; @version
+; $Id$
 ;
 ;-
@@ -197,5 +199,5 @@
 ;
       IF array_equal(sort(xaxis), lindgen(jpi)) NE 1 THEN BEGIN
-        print, 'the x axis (1st line of glamt) is not sorted in the inceasing order after the automatic definition of key_shift'
+        print, 'the x axis (1st line of glamt) is not sorted in the increasing order after the automatic definition of key_shift'
         print, 'please use the keyword shift (and periodic) to suppress the automatic definition of key_shift (and key_periodic) and define by hand a more suitable value...'
         widget_control, noticebase, bad_id = nothing, /destroy
Index: /trunk/SRC/Grid/restoreboxparam.pro
===================================================================
--- /trunk/SRC/Grid/restoreboxparam.pro	(revision 225)
+++ /trunk/SRC/Grid/restoreboxparam.pro	(revision 226)
@@ -5,17 +5,17 @@
 ;
 ; @file_comments restore all the zoom parameters (defined by calling domdef)
-; perviously defined by saveboxparam
+; previously defined by saveboxparam
 ;
-; @param filename {in}{required} 
-; a scalar string defining the file name 
+; @param filename {in}{required}
+; a scalar string defining the file name
 ;
 ; @uses cm_4mesh (and cm_demomode_used if we are in demo mode)
 ;
-; @restrictions call def_myuniquetmpdir, if myuniquetmpdir is undefined: 
+; @restrictions call def_myuniquetmpdir, if myuniquetmpdir is undefined:
 ;               => define, create and add it to !path
 ;
 ; @examples
 ; IDL> restoreboxparam, filename
-; 
+;
 ; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      July 2005
@@ -88,3 +88,3 @@
   return
 end
-    
+
Index: /trunk/SRC/Grid/romsdepth.pro
===================================================================
--- /trunk/SRC/Grid/romsdepth.pro	(revision 225)
+++ /trunk/SRC/Grid/romsdepth.pro	(revision 226)
@@ -16,5 +16,5 @@
 ; common variable (cm_4mesh) romszinfos must be correctly defined
 ;
-; @history 
+; @history
 ; Sept 2006 Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
@@ -41,5 +41,5 @@
   grille, -1, -1, -1, -1, nx, ny, nz, firstx, firsty, firstz, lastx, lasty, lastz
   hroms = hroms[firstx:lastx, firsty:lasty]
-  nt = n_elements(zeta)/nx/ny 
+  nt = n_elements(zeta)/nx/ny
 ;
   cff1 = 1./sinh(theta_s)
@@ -47,9 +47,9 @@
 ;
   IF type EQ 'W' THEN BEGIN
-    sc = (findgen(jpk)-jpk)/jpk      
-;  sc = (dindgen(jpk+1)-jpk)/jpk      
+    sc = (findgen(jpk)-jpk)/jpk
+;  sc = (dindgen(jpk+1)-jpk)/jpk
 ;  jpk = jpk+1
   ENDIF ELSE BEGIN
-    sc = (findgen(jpk)-jpk-0.5+1)/jpk  
+    sc = (findgen(jpk)-jpk-0.5+1)/jpk
   ENDELSE
 ;
@@ -60,5 +60,5 @@
   hinv = 1./hroms
   hinv = hinv[*]#replicate(1., jpk)
-; put a z dimenstion to zeta
+; put a z dimension to zeta
   zeta = transpose(temporary(zeta))
   zeta = reform((temporary(zeta))[*]#replicate(1., jpk), nt, ny, nx, jpk, /overwrite)
Index: /trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro
===================================================================
--- /trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro	(revision 225)
+++ /trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro	(revision 226)
@@ -5,5 +5,5 @@
 ; to any grid using the bilinear method
 ;
-; @categories 
+; @categories
 ; Interpolation
 ;
@@ -53,5 +53,6 @@
 ;  June 2006: Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -65,5 +66,5 @@
 ;
   jpio = (size(olonin, /dimensions))[0]
-  jpjo = (size(olonin, /dimensions))[1]  
+  jpjo = (size(olonin, /dimensions))[1]
 ; mask check
   IF n_elements(omsk) EQ 1 AND omsk[0] EQ -1 THEN omsk = replicate(1b, jpio, jpjo)
@@ -73,5 +74,5 @@
     stop
   ENDIF
-  IF n_elements(amsk) NE jpia*jpja THEN BEGIN 
+  IF n_elements(amsk) NE jpia*jpja THEN BEGIN
     print, 'output grid mask do not have the good size'
     stop
@@ -181,5 +182,5 @@
         ind = good[ind]
 ; now, we morph the quadrilateral ocean cell into the reference square (0 -> 1)
-; in addition we get the corrdinates of the atmospheric point in this new morphed square
+; in addition we get the coordinates of the atmospheric point in this new morphed square
         IF onsphere THEN BEGIN
 ; Warning! quadrilateral2square use anticlockwise quadrilateral definition
@@ -213,5 +214,5 @@
           xy[1] EQ 0 AND (tmpmsk[0]+tmpmsk[1]) EQ 0    : foraddr[n] = -1
           xy[1] EQ 1 AND (tmpmsk[2]+tmpmsk[3]) EQ 0    : foraddr[n] = -1
-          ELSE: BEGIN 
+          ELSE: BEGIN
 ; we keep its address
         foraddr[n] = ind
Index: /trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro
===================================================================
--- /trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro	(revision 225)
+++ /trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro	(revision 226)
@@ -4,5 +4,5 @@
 ; "regular grid" to any grid using the bilinear method
 ;
-; @categories 
+; @categories
 ; Interpolation
 ;
@@ -21,5 +21,5 @@
 ; @keyword NONORTHERNLINE {type=scalar 0 or 1}{default=0}
 ; put 1 if you don't want to take into
-; account the northen line of the input data when performing the interpolation.
+; account the northern line of the input data when performing the interpolation.
 ;
 ; @keyword NOSOUTHERNLINE {type=scalar 0 or 1}{default=0}
@@ -48,5 +48,6 @@
 ;  November 2005: Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -109,10 +110,10 @@
   IF ma GE minalon+360. THEN stop
 ;
-; we want to do biliear interpolation => for each ocean point, we must
+; we want to do bilinear interpolation => for each ocean point, we must
 ; find in which atm cell it is located.
 ; if the ocean point is out of the atm grid, we use closest neighbor
 ; interpolation
 ;
-; for each T point of oce grid, we find in which armospheric cell it is
+; for each T point of oce grid, we find in which atmospheric cell it is
 ; located.
 ; As the atmospheric grid is regular, we can use inrecgrid instead
Index: /trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro
===================================================================
--- /trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro	(revision 225)
+++ /trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro	(revision 226)
@@ -5,5 +5,5 @@
 ; "regular grid" to any grid using the imoms3 method
 ;
-; @categories 
+; @categories
 ; Interpolation
 ;
@@ -22,5 +22,5 @@
 ; @keyword NONORTHERNLINE {type=scalar 0 or 1}{default=0}
 ; put 1 if you don't want to take into
-; account the northen line of the input data when performing the interpolation.
+; account the northern line of the input data when performing the interpolation.
 ;
 ; @keyword NOSOUTHERNLINE {type=scalar 0 or 1}{default=0}
Index: /trunk/SRC/Interpolation/extrapolate.pro
===================================================================
--- /trunk/SRC/Interpolation/extrapolate.pro	(revision 225)
+++ /trunk/SRC/Interpolation/extrapolate.pro	(revision 226)
@@ -1,9 +1,9 @@
 ;+
 ; @file_comments
-; extrapolate data (zinput) where maskinput eq 0 by filling step by 
+; extrapolate data (zinput) where maskinput eq 0 by filling step by
 ; step the coastline points with the mean value of the 8 neighbourgs
 ; (weighted by their mask value).
 ;
-; @categories 
+; @categories
 ; Interpolation
 ;
@@ -47,5 +47,6 @@
 ;  Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -71,5 +72,5 @@
   ztmp = bytarr(nx+2, ny+2)
   IF n_elements(maskinput) EQ 1 AND maskinput[0] EQ -1 THEN maskinput = replicate(1b, nx, ny)
-  IF n_elements(maskinput) NE nx*ny THEN BEGIN 
+  IF n_elements(maskinput) NE nx*ny THEN BEGIN
     print, 'input grid mask do not have the good size'
     return, -1
@@ -97,5 +98,5 @@
 ;
   cnt = 1
-; When we look for the coast line, we don't want to select the
+; When we look for the coastline, we don't want to select the
 ; borderlines of the array. -> we force the value of the mask for
 ; those lines.
@@ -109,5 +110,5 @@
   WHILE cnt LE nb_iteration AND cnt_land NE 0 DO BEGIN
 ;---------------------------------------------------------------
-; find the coast line points...
+; find the coastline points...
 ;---------------------------------------------------------------
 ; Once the land points list has been found, we change back the the
@@ -148,5 +149,5 @@
     weight = weight[temporary(ok)]
 ;---------------------------------------------------------------
-; fill the coastine points
+; fill the coastline points
 ;---------------------------------------------------------------
     z = temporary(z)*msk
Index: /trunk/SRC/Interpolation/extrapsmooth.pro
===================================================================
--- /trunk/SRC/Interpolation/extrapsmooth.pro	(revision 225)
+++ /trunk/SRC/Interpolation/extrapsmooth.pro	(revision 226)
@@ -46,9 +46,9 @@
 ;-
 FUNCTION extrapsmooth, in, mskin, x_periodic = x_periodic, MINVAL = minval, MAXVAL = maxval, GE0 = ge0
-;  
-  compile_opt strictarr, strictarrsubs 
 ;
-  sz = size(reform(in))  
-  IF sz[0] NE 2 THEN BEGIN 
+  compile_opt strictarr, strictarrsubs
+;
+  sz = size(reform(in))
+  IF sz[0] NE 2 THEN BEGIN
     print, 'Input arrays must have 2 dimensions'
     return, -1
@@ -57,5 +57,5 @@
   ny = sz[2]
   IF n_elements(mskin) EQ 1 AND mskin[0] EQ -1 THEN mskin = replicate(1b, nx, ny)
-  IF n_elements(mskin) NE nx*ny THEN BEGIN 
+  IF n_elements(mskin) NE nx*ny THEN BEGIN
     print, 'input grid mask do not have the good size'
     return, -1
@@ -65,5 +65,5 @@
   whmsk = where(mskin EQ 0, nbr)
   IF nbr NE 0 THEN out[temporary(whmsk)] = !values.f_nan
-; add values on each side of the array to avoid bondary effects
+; add values on each side of the array to avoid boundary effects
   nx2 = nx/2
   ny2 = ny/2
@@ -74,5 +74,5 @@
     add2 = out[nx-nx2:nx-1, *]
     out = [add2, [temporary(out)], add1]
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     add = replicate(!values.f_nan, nx2, ny+2*ny2)
     out = [add, [temporary(out)], add]
Index: /trunk/SRC/Interpolation/get_gridparams.pro
===================================================================
--- /trunk/SRC/Interpolation/get_gridparams.pro	(revision 225)
+++ /trunk/SRC/Interpolation/get_gridparams.pro	(revision 226)
@@ -142,5 +142,5 @@
         1:BEGIN
           IF array_equal(lon, lon[*, 0] # replicate(1, jpj)) NE 1 THEN BEGIN
-            print, 'Longitudes are not the same for all latitudes, imposible to extract a 1D array of the longitudes'
+            print, 'Longitudes are not the same for all latitudes, impossible to extract a 1D array of the longitudes'
             stop
           ENDIF
@@ -163,5 +163,5 @@
         1:BEGIN
           IF array_equal(lat, replicate(1, jpi) # lat[0, *]) NE 1 THEN BEGIN
-            print, 'Latitudes are not the same for all longitudes, imposible to extract a 1D array of the latitudes'
+            print, 'Latitudes are not the same for all longitudes, impossible to extract a 1D array of the latitudes'
             stop
           ENDIF
@@ -184,10 +184,10 @@
         1:BEGIN
           IF array_equal(lon, lon[*, 0] # replicate(1, jpj)) NE 1 THEN BEGIN
-            print, 'Longitudes are not the same for all latitudes, imposible to extract a 1D array of the longitudes'
+            print, 'Longitudes are not the same for all latitudes, impossible to extract a 1D array of the longitudes'
             stop
           ENDIF
           lon = lon[*, 0]
           IF array_equal(lat, replicate(1, jpi) # reform(lat[0, *])) NE 1 THEN BEGIN
-            print, 'Latitudes are not the same for all longitudes, imposible to extract a 1D array of the latitudes'
+            print, 'Latitudes are not the same for all longitudes, impossible to extract a 1D array of the latitudes'
             stop
           ENDIF
Index: /trunk/SRC/Interpolation/inquad.pro
===================================================================
--- /trunk/SRC/Interpolation/inquad.pro	(revision 225)
+++ /trunk/SRC/Interpolation/inquad.pro	(revision 226)
@@ -3,5 +3,5 @@
 ; to find if an (x,y) point is in a quadrilateral (x1,x2,x3,x4)
 ;
-; @categories 
+; @categories
 ; Grid
 ;
@@ -205,8 +205,8 @@
 ;
 ; computation of test without any do loop for ntofind points (x,y) and
-; nquad quadilateral((x1,x2,x3,x4),(y1,y2,y3,y4))
+; nquad quadrilateral((x1,x2,x3,x4),(y1,y2,y3,y4))
 ; test dimensions are (ntofind, nquad)
 ; column i of test corresponds to the intersection of point i with all
-; quadirlateral.
+; quadrilateral.
 ; row j of test corresponds to all the points localized in cell j
   test = $
Index: /trunk/SRC/Obsolete/lec.pro
===================================================================
--- /trunk/SRC/Obsolete/lec.pro	(revision 225)
+++ /trunk/SRC/Obsolete/lec.pro	(revision 226)
@@ -6,14 +6,14 @@
 ; lit les fichiers Vairmer en sort:
 ; un tableau 2d ou 3d en fonction de nomchamp qui est le nom
-; du champ a extaire (2d s'il commence par SO et 3d s'il commence par VO)
+; du champ a extraire (2d s'il commence par SO et 3d s'il commence par VO)
 ; cette fonction modifie aussi les variables globales:
 ; varname: trois lettres: nom de l'experience
 ; vargrid: nom de la grille
 ; vardate: date (yy)yymmdd
-; varexp: nom Vairmer du champ a tarcer
+; varexp: nom Vairmer du champ a tracer
 ;
 ; @obsolete
 ;
-; @categories 
+; @categories
 ; Graphics, Reading
 ;
@@ -25,5 +25,5 @@
 ; minuscule commencant par vo ou so). Dans cette methode on saute directement
 ; d'en-tete en en-tete jusqu'a trouver le bon fichier.
-;             2) chaine de characteres commencant par vo ou so suivit du
+;             2) chaine de caracteres commencant par vo ou so suivit du
 ; numero de champ a aller chercher (par ex 'vo5'). Cette methode est un peu
 ; plus rapide car elle va directement chercher le fichier qui nous interesse.
@@ -72,5 +72,6 @@
 ; @uses common.pro isnumber.pro fivardate.pro
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			26/5/98
 ;                       Jerome Vialard : adaptation au format vairmer
@@ -82,5 +83,6 @@
 ;			2/99
 ;
-; @version $Id$
+; @version 
+; $Id$
 ;
 ;;-
@@ -166,7 +168,7 @@
 ;  le fortran ajoute au debut et a la fin de chaque write 4 octets de controle
 ;  les reels du model sont codes sur 4 octets
-;  un charactere fait 1 octet
+;  un caractere fait 1 octet
 ;-----------------------------------------------------------------------
-;4 chaines de 8 characteres+un tableau de reels+4 trucs de controle (pour les
+;4 chaines de 8 caracteres+un tableau de reels+4 trucs de controle (pour les
 ; 2 write):
    if dim eq 'VO' then $
@@ -229,5 +231,5 @@
 ;---------------------------------------------------------------------
       if taillebloc*numerochamp gt infofichier.size then $
-       return, report('Ce numero de champ n''exite pas. Le fichier '+infofichier.name+' ne contient que ',infofichier.size/taillebloc,' champs.')
+       return, report('Ce numero de champ n''existe pas. Le fichier '+infofichier.name+' ne contient que ',infofichier.size/taillebloc,' champs.')
 ;---------------------------------------------------------------------
 ; lecture de l'en-tete numero numerochamp
@@ -306,5 +308,5 @@
    ENDIF ELSE BEGIN
       case vargrid OF           ; on recupere le mask en entier ds le cas ou /TOUT
-         'U':mask = umask()     ; n''est pas active et on le choisit en fontion
+         'U':mask = umask()     ; n''est pas active et on le choisit en fonction
          'T':mask = tmask       ;  de la valeur de vargrid
          'W':mask = tmask
